---
title: "Marks the named notifications read, or every unread one when none is named."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › profile

`POST /v1/stores/{store}/notifications/read`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `profile:write`

## Path parameters

- `store` (`markNotificationsRead.path.store`; string, required) — A hostname of the store.

## Request body

_Optional._

- `ids` (`markNotificationsRead.ids`; array<string>, optional) — The notifications to mark read, each once; left out, every unread one is.
  - minLength 1; maxLength 64

## Example request

```json
{
  "ids": [
    "string"
  ]
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/notifications/read' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "string"
  ]
}
'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/notifications/read';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({ids: ['string']})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/notifications/read"

payload = { "ids": ["string"] }
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Marks the named notifications read, or every unread one when none is named.

#### Example

```json
{
  "marked": 0
}
```

- `marked` (`markNotificationsRead.response.200.marked`; number, required)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`markNotificationsRead.response.default.type`; string, required)
  - format `uri`
- `title` (`markNotificationsRead.response.default.title`; string, required)
- `status` (`markNotificationsRead.response.default.status`; integer, required)
- `detail` (`markNotificationsRead.response.default.detail`; string, required)
- `code` (`markNotificationsRead.response.default.code`; string, optional)
- `context` (`markNotificationsRead.response.default.context`; object, optional)
- `reached_core` (`markNotificationsRead.response.default.reached_core`; boolean, optional)
- `core_answer` (`markNotificationsRead.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/mark-notifications-read/index.md
